
<?php
  //////////////////////////////////////////////////////////////////////////////
  //такая же структура как и модуля pollusersdata_delete_item.inc
  //////////////////////////////////////////////////////////////////////////////
?>
<?php
  $PswdFile = $_GET['pswdfile'];
  $QuestLength = $_GET['questlength'];
  $EmailAddrFile = "../txt/".str_replace('pswd', 'onepassd_emailaddr', $PswdFile);

  //удаляем все адреса
  if($_POST['DeleteAll'] != '')
  {
    $Question = GetQuestion("../txt/{$PswdFile}", $QuestLength, 'pswd');
    print "<br><br>";
    print "<div align=center>";
      print "{$Cpt_opfa_DeleteAllConf}<br><b>{$Question}</b><br><br>";
      print "<a href=index.php?page=changepassword_emailset_deleteitem&DeleteAll=1&pswdfile={$PswdFile}&questlength={$QuestLength}>{$Cpt_Yes}</a>&nbsp;&nbsp;&nbsp;";
      print "<a href=index.php?page=changepassword_emailset&pswdfile={$PswdFile}&questlength={$QuestLength}>{$Cpt_No}</a>";
    print "</div>";
  }

  //удаляем выбранные адреса
  if(!empty($_POST['DeleteAddr']))
  {
    foreach($_POST as $key => $value)
    {
      if(strpos($key, 'addr') !== false)
        $ToDelete[] = str_replace('addr', '', $key);
    }
    if(count($ToDelete) == 0)
    {
      print "<div align=center>";
      print "<br><br>{$Err_opfa_NoItemsToDelete} (<a href=index.php?page=changepassword_emailset&pswdfile={$PswdFile}&questlength={$QuestLength}>{$Cpt_Back}</a>)</body></html>";
      print "</div>";
      exit;
    }
    else {
      $EmailAddrArr = file($EmailAddrFile);
      $Question = GetQuestion("../txt/{$PswdFile}", $QuestLength, 'pswd');
      print "<div align=center><br><br>";
        print "{$Cpt_opfa_DeleteConf} <br><b>{$Question}</b><br><br>";
        print "<a href=index.php?page=changepassword_emailset_deleteitem&DeleteAddr=1&pswdfile={$PswdFile}&questlength={$QuestLength}>ДА</a>&nbsp;&nbsp;&nbsp;";
        print "<a href=index.php?page=changepassword_emailset&pswdfile={$PswdFile}&questlength={$QuestLength}>НЕТ</a>";
        print "<br><br>";
        for($i = 0; $i < count($ToDelete); $i++)
        {
          $inx = $ToDelete[$i];
          $EmailAddrArr[$inx] = str_replace(' (%%sended%%)', '', $EmailAddrArr[$inx]);
          print "<b>{$EmailAddrArr[$inx]}</b><br>";

        }
      print "</div>";
      $ToDeleteSer = serialize($ToDelete);
      SaveStringInFile($File_Tmp, $ToDeleteSer, 'w');
    }
  }

  //удаляем выбранных пользователей (действие)
  if($_GET['DeleteAddr'] == 1)
  {
    //считываем массив со списком элементов, которые надо удалить из файла тмп
    $fp = fopen($File_Tmp, 'r');
    $ToDeleteSer = fread($fp, 4000);
    fclose($fp);
    $ToDelete = unserialize($ToDeleteSer);
    //
    $EmailAddrArr = file($EmailAddrFile);
    for($i = 0; $i < count($EmailAddrArr); $i++)
      if(!in_array($i, $ToDelete))
        $EmailAddrArrTmp[] = $EmailAddrArr[$i];
    SaveStringInFile($EmailAddrFile, @implode('', $EmailAddrArrTmp), 'w');
    Refresh("changepassword_emailset&pswdfile={$PswdFile}&questlength={$QuestLength}");
  }

  //очищаем всю базу адресов для данного голосования
  if($_GET['DeleteAll'] == 1)
  {
    SaveStringInFile($EmailAddrFile, '', 'w');
    Refresh("changepassword_emailset&pswdfile={$PswdFile}&questlength={$QuestLength}");
  }
?>